Create a new Virtual Receptionist

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Using the below method, a virtual receptionist can be created.

curl --request POST \
  --url https://api.acefone.co.uk/v1/virtual_receptionist \
  --header 'accept: application/json' \
  --header 'authorization: Authorization' \
  --header 'content-type: application/json'

Body parameter

Variable NameDescriptionData Type
nameName for virtual receptionistString
descriptionDescription for virtual receptionistString
recordingRecording to be played once call is receivedFloat
destination_typeCalls can be directed directly to a single or multiple destination (depending on clients requirement thought DTMF inputs)String
forward_destination_typeType of destination where call is to be forwarded (required when destination type is single)String
forward_destination_idUnique ID of destination where call is to be forwarded (required when destination type is single)Float
entriesAllowed DTMF entries associated with virtual receptionist (required when destination_type is multiple)Object
optionDTMF optionFloat
destination_typeType of destination where call is to be forwarded (when DTMF option is pressed)String
destination_idUnique ID of destination where call is to be forwarded (when DTMF option is pressed)Float
template_idUnique ID of the email template to be associated with DTMF inputFloat
timeoutTime (in seconds) to wait for each DTMF input (required when destination_type is multiple)Float
incorrect_countNumber of incorrect inputs are allowed (required when destination_type is multiple)Float
invalid_recordingUnique ID of the recording to be played when invalid option is pressed (required when destination_type is multiple)Float
invalid_destination_typeType of destination where call is to be forwarded when customer has reached maximum number of incorrect inputs allowed (required when destination_type is multiple)String
invalid_destination_idUnique ID of destination where call is to be forwarded when customer has reached maximum number of incorrect inputs allowed (required when destination_type is multiple)Float
timeout_retriesNumber of timeout retried allowed (required when destination_type is multiple)Float
timeout_retry_recordingUnique ID of the recording to be played when timeout has been reached and no input is been recorded from the client (required when destination_type is multiple)Float
timeout_recordingUnique ID of the recording to be played when timeout has been reached and no input is been recorded from the client (required when destination_type is multiple)Float
timeout_destination_typeType of the destination where call is to be forwarded when maximum number of timeout retries has been reached (required when destination_type is multiple)String
timeout_destination_idUnique ID of the destination where call is to be forwarded when maximum number of timeout retries has been reached (required when destination_type is multiple)Float
recording_invalidUnique ID of recording when invalid Input is pressed by client (required when destination_type is multiple)Float
prefixCaller ID prefixString
intercomIntercom numberString

Response

Variable NameDescriptionData Type
successRequest success statusBoolean
messageMessage corresponding success statusString
Body Params
string
required

Name for Virtual receptionist

string
required

Description for Virtual receptionist

number
required

Recordingto be played once call is recieved.

string
required

Calls can be directed directly to a single destination or call be routed to multiple destination depending on clients requirement thougth DTMF inputs.

string

Type of destination where the call should be forwarded to. Required when destination type is single.

number

Unique ID of destination where the call should be forwarded to. Required when destination type is single.

entries
object

Allowed DTMF entries associated with Virtual receptionist. Required when destination_type is multiple

number

Digit Timeout. Time (in seconds) to wait for each DTMF input. Required when destination_type is multiple

number

Number of incorrect inputs are allowed. Required when destination_type is multiple

number

Unique ID of the recording to be played when invalid option is pressed. Required when destination_type is multiple. Required when destination_type is multiple

string

Type of destination where call is to forwarded when customer has reached maximum number of incorrect inputs allowed. Required when destination_type is multiple

number

Unique ID of destination where call is to forwarded when customer has reached maximum number of incorrect inputs allowed. Required when destination_type is multiple

number

Number of timeout retired allowed. Required when destination_type is multiple

number

Unique ID of the recording to be played when timeout has been reached and no input is been recorded from the client. Required when destination_type is multiple

number

Unique ID of the recording to be played when timeout has been reached and no input is been recorded from the client. Required when destination_type is multiple

string

Type of the destination where call is to forwarded when maximum number of timeout retries has been reached. Required when destination_type is multiple

number

Unique ID of the destination where call is to forwarded when maximum number of timeout retries has been reached. Required when destination_type is multiple

number

Unique ID of recording when invalid Input is pressed by client. Required when destination_type is multiple

string

Caller ID prefix

string

Intercom number

Headers
string
required
Responses

500

500 response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json